using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;

namespace Com.FirmLib.UI.Common
{
    /// <summary>
    /// 产品线对象；品牌，产品，类型的基类
    /// </summary>
    public class ShowDataItem : BasePropertyChanged
    {

        private string m_Name;
        /// <summary>
        /// 名称
        /// </summary>
        public string Name
        {
            get { return this.m_Name; }
            set
            {
                this.m_Name = value;
                RaisePropertyChanged(nameof(this.Name));
            }
        }


        private string m_Id;
        /// <summary>
        /// 存储Id
        /// </summary>
        public string Id
        {
            get { return this.m_Id; }
            set
            {
                this.m_Id = value;
                RaisePropertyChanged(nameof(this.Id));
            }
        }

        /// <summary>
        /// 种族编码
        /// </summary>
        public string FamilyCode { get; set; }

        #region 重写方法
        public override string ToString()
        {
            return Name ?? string.Empty;
        }
        #endregion
    }
}
